
# David - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define buildfor8_2 %(perl -e 'print int(%{mdkversion} == 820)')
%define buildfor9_0 %(perl -e 'print int(%{mdkversion} == 900)')
%define buildfor9_1 %(perl -e 'print int(%{mdkversion} == 910)')
%define buildfor9_2 %(perl -e 'print int(%{mdkversion} == 920)')
%define buildfor10_0 %(perl -e 'print int(%{mdkversion} == 1000)')
%define buildfor10_1 %(perl -e 'print int(%{mdkversion} == 1010)')

%define __libtoolize    /bin/true


# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor10_1
%define unstable 0
%else
%define unstable 0
%endif

%define lib_major 1
%define lib_name_orig libkdegames
%define lib_name %mklibname kdegames %{lib_major}

%define use_enable_final 1

%define compile_apidox 1

Name:		kdegames
Summary:	KDE - Games
Version:    3.2.3
Release: 9mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2

Source1:	kfouleggs-16.xpm
Source2:	kfouleggs-32.xpm
Source3:	kfouleggs-48.xpm

Source4:	klickety-16.png
Source5:	klickety-32.png
Source6:	klickety-48.png


Patch1:		kdelibs-3.2-remove-rpath.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

Obsoletes:	kdegames3
Provides:	kdegames3 = %eopch:%version-%release

Requires:	%lib_name = %epoch:%version-%release

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs-devel >= 3.2-13mdk 
BuildRequires:	libMesaGLU1 libalsa1-devel libarts-devel  libaudiofile0-devel
BuildRequires:	libbinutils2 libbzip2_1-devel libintl1 libjpeg62-devel liblcms1
BuildRequires:	libmng1-devel libpng3-devel libqt3-devel 
BuildRequires:	libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:	popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor9_0 || %buildfor9_1 
BuildRequires:  XFree86-devel XFree86-libs arts
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs-devel >= 3.2-13mdk
BuildRequires:  libMesaGLU1 libalsa2-devel libarts-devel  libaudiofile0-devel
BuildRequires:  libbinutils2 libbzip2_1-devel libintl2 libjpeg62-devel liblcms1
BuildRequires:  libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:  popt rpm-build texinfo zlib1-devel
%endif


%if %mdkversion >= 920
BuildRequires:  XFree86-devel XFree86-libs 
BuildRequires:  freetype2-devel 
BuildRequires:  kdelibs-devel >= 3.2-13mdk
BuildRequires:  libMesaGLU-devel alsa-lib-devel arts-devel  audiofile-devel
BuildRequires:  bzip2-devel jpeg-devel lcms-devel
BuildRequires:  mng-devel png-devel qt3-devel
BuildRequires:  libz-devel
%endif


%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %mdkversion >= 920
BuildRequires: automake1.7
%endif

BuildRequires:	autoconf2.5

%if %compile_apidox
BuildRequires:doxygen
%endif

Obsoletes:	ktron kjumpingcube
Provides:	ktron kjumpingcube

%description
Games for the K Desktop Environment.
This is a compilation of various games for KDE project
	- atlantik: Monopoly-like board games
	- kabalone: board game: move 6 pieces from your opponent over the edge
	- kasteroids: shoot at those nasty asteroids
	- katomic: build complex atoms with a minimal amount of moves
	- kbackgammon: play backgammon against a local human player, via a
               game server or against GNU Backgammon (not included)
	- kbattleship: battleship game with built-in game server
	- kblackbox: find atoms in a grid by shooting electrons
	- kfouleggs: a famous japanese game known as puyo-puyo
	- kbounce: claim areas and don't get disturbed
	- kjumpingcube: a tactical game for number-crunchers
	- klines: place 5 equal pieces together, but wait, there are 3 new ones
	- mahjongg: a tile laying patience
	- kmines: the classical mine sweeper
	- kolf: a golf game
	- konquest: conquer the planets of your enemy
	- kpat: several patience card games
	- kpoker: the game of poker
	- kreversi: the old reversi board game, also known as othello
	- ksame: collect pieces of the same color
	- kshisen: patience game where you take away all pieces
	- ksirtet: very known if spelt this backwards
	- ksmiletris: another Tetris-like game
	- ksnake: don't bite yourself, eat apples!
	- ksokoban: move all storage boxes into the cabinet
	- kspaceduel: two player game with shooting spaceships flying around a sun
	- ktron: like ksnake, but without fruits
	- ktuberling: kids game: make your own potato (NO french fries!)
	- kwin4: place 4 pieces in a row
	- libkdegames: KDE game library used by many of these programs
	- lskat: lieutnant skat
	- megami: blackjack card game

%package -n %lib_name-devel
Summary:	Headers files for kdegames
Group:		Development/KDE and Qt
Requires:	%lib_name = %epoch:%version-%release

Obsoletes:  kdegames3-devel
Provides:   kdegames3-devel

Obsoletes:  kdegames-devel
Provides:   kdegames-devel = %epoch:%version-%release
Provides:   %lib_name_orig-devel = %epoch:%version-%release


%description -n %lib_name-devel
Headers files needed to build applications based on kdegames applications.


%package -n %lib_name
Group:      Graphical desktop/KDE
Summary:    Libraries for kdegame
Provides:   %lib_name_orig = %epoch:%version-%release
Conflicts:	kdegames <= 3.1-11mdk


%description -n %lib_name
Libraries for the K Desktop Environment.


%prep
%setup -q
%patch1 -p1 -b .fix_remove_rpath


%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        %configure --host=%_target_platform \
		    --build=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
%if %use_enable_final
                    --enable-final \
%else
                    --disable-final \
%endif
                    --disable-static \
		    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
                    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama

%make
make apidox


%install
rm -fr %buildroot

# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot 
# Install LMDK menu structure
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/kasteroids.desktop %buildroot/%_menudir/kdegames-kasteroids
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/kbounce.desktop %buildroot/%_menudir/kdegames-kbounce
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/kfouleggs.desktop %buildroot/%_menudir/kdegames-kfouleggs
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/klickety.desktop %buildroot/%_menudir/kdegames-klickety
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/kolf.desktop %buildroot/%_menudir/kdegames-kolf
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/ksirtet.desktop %buildroot/%_menudir/kdegames-ksirtet
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/ksmiletris.desktop %buildroot/%_menudir/kdegames-ksmiletris
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/ksnake.desktop %buildroot/%_menudir/kdegames-ksnake
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/kspaceduel.desktop %buildroot/%_menudir/kdegames-kspaceduel
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/ktron.desktop %buildroot/%_menudir/kdegames-ktron
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/atlantik.desktop %buildroot/%_menudir/kdegames-atlantik
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kbackgammon.desktop %buildroot/%_menudir/kdegames-kbackgammon
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kbattleship.desktop %buildroot/%_menudir/kdegames-kbattleship
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kenolaba.desktop %buildroot/%_menudir/kdegames-kenolaba
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applications/kde/KGoldrunner.desktop %buildroot/%_menudir/kdegames-KGoldrunner
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kblackbox.desktop %buildroot/%_menudir/kdegames-kblackbox
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kmahjongg.desktop %buildroot/%_menudir/kdegames-kmahjongg
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kreversi.desktop %buildroot/%_menudir/kdegames-kreversi
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kshisen.desktop %buildroot/%_menudir/kdegames-kshisen
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applications/kde/kwin4.desktop %buildroot/%_menudir/kdegames-kwin4
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applications/kde/kpat.desktop %buildroot/%_menudir/kdegames-kpat
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applications/kde/kpoker.desktop %buildroot/%_menudir/kdegames-kpoker
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applications/kde/lskat.desktop %buildroot/%_menudir/kdegames-lskat
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applications/kde/ktuberling.desktop %buildroot/%_menudir/kdegames-ktuberling
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applications/kde/katomic.desktop %buildroot/%_menudir/kdegames-katomic
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applications/kde/kjumpingcube.desktop %buildroot/%_menudir/kdegames-kjumpingcube
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applications/kde/klines.desktop %buildroot/%_menudir/kdegames-klines
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applications/kde/kmines.desktop %buildroot/%_menudir/kdegames-kmines
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applications/kde/konquest.desktop %buildroot/%_menudir/kdegames-konquest
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applications/kde/ksame.desktop %buildroot/%_menudir/kdegames-ksame
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applications/kde/ksokoban.desktop %buildroot/%_menudir/kdegames-ksokoban



createmdkmenu.sh %buildroot/%_datadir/applications/kde/kasteroids.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kbounce.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kfouleggs.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/klickety.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kolf.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ksirtet.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ksmiletris.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ksnake.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kspaceduel.desktop  Arcade-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ktron.desktop  Arcade-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/atlantik.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kbackgammon.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/KGoldrunner.desktop  Arcade-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kbattleship.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kenolaba.desktop  Board-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kblackbox.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kmahjongg.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kreversi.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kshisen.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kwin4.desktop  Board-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kpat.desktop  Card-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kpoker.desktop  Card-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/lskat.desktop  Card-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ktuberling.desktop  Card-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/katomic.desktop Strategy-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kjumpingcube.desktop Strategy-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kline.desktop Strategy-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kmines.desktop Strategy-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/konquest.desktop Strategy-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ksame.desktop Strategy-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/ksokoban.desktop Strategy-mdk 

perl -pi -e "s#kfouleggs.png#arcade_section.png#" %buildroot/%_menudir/kdegames-kfouleggs

install -d %buildroot/%_iconsdir/mini/
install -d %buildroot/%_iconsdir/large/
install -m 644 %SOURCE1 %buildroot/%_iconsdir/mini/kfouleggs.xpm
install -m 644 %SOURCE2 %buildroot/%_iconsdir/kfouleggs.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/large/kfouleggs.xpm

install -m 644 %SOURCE4 %buildroot/%_iconsdir/mini/klickety.png
install -m 644 %SOURCE5 %buildroot/%_iconsdir/klickety.png
install -m 644 %SOURCE6 %buildroot/%_iconsdir/large/klickety.png

#perl -pi -e "s#kfouleggs.png#kfouleggs.xpm#" %buildroot/%_menudir/kdegames-kfouleggs

make install-apidox DESTDIR=%buildroot/
list=`ls -d */ -1`;
echo $list;
for i in $list ; do
	cd $i;
		if grep '^include .*Doxyfile.am' Makefile.am; then
			echo "installing apidox from $i" ;	
			make install-apidox DESTDIR=%buildroot/ ; 
		fi
	cd ../;
done;


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
%dir %_docdir/HTML/en/kbounce/
%doc %_docdir/HTML/en/kbounce/common
%doc %_docdir/HTML/en/kbounce/*.bz2
%doc %_docdir/HTML/en/kbounce/*.docbook
%doc %_docdir/HTML/en/kbounce/*.png
#
%dir %_docdir/HTML/en/kenolaba/
%doc %_docdir/HTML/en/kenolaba/common
%doc %_docdir/HTML/en/kenolaba/*.bz2
%doc %_docdir/HTML/en/kenolaba/*.png
%doc %_docdir/HTML/en/kenolaba/*.docbook
#
%dir %_docdir/HTML/en/kasteroids/
%doc %_docdir/HTML/en/kasteroids/common
%doc %_docdir/HTML/en/kasteroids/*.docbook
%doc %_docdir/HTML/en/kasteroids/*.png
%doc %_docdir/HTML/en/kasteroids/*.bz2
#
#
%dir %_docdir/HTML/en/katomic/
%doc %_docdir/HTML/en/katomic/common
%doc %_docdir/HTML/en/katomic/*.docbook
%doc %_docdir/HTML/en/katomic/*.bz2
#
#
%dir %_docdir/HTML/en/kbackgammon/
%doc %_docdir/HTML/en/kbackgammon/common
%doc %_docdir/HTML/en/kbackgammon/*.docbook
%doc %_docdir/HTML/en/kbackgammon/*.png
%doc %_docdir/HTML/en/kbackgammon/*.bz2
#
#
%dir %_docdir/HTML/en/kbattleship/
%doc %_docdir/HTML/en/kbattleship/common
%doc %_docdir/HTML/en/kbattleship/*.docbook
%doc %_docdir/HTML/en/kbattleship/*.bz2
#
#
%dir %_docdir/HTML/en/kblackbox/
%doc %_docdir/HTML/en/kblackbox/common
%doc %_docdir/HTML/en/kblackbox/*.docbook
%doc %_docdir/HTML/en/kblackbox/*.png
%doc %_docdir/HTML/en/kblackbox/*.bz2
#
#
%dir %_docdir/HTML/en/kfouleggs/
%doc %_docdir/HTML/en/kfouleggs/common
%doc %_docdir/HTML/en/kfouleggs/*.docbook
%doc %_docdir/HTML/en/kfouleggs/*.bz2
%doc %_docdir/HTML/en/kfouleggs/*.png


%dir %_docdir/HTML/en/klickety/
%doc %_docdir/HTML/en/klickety/common
%doc %_docdir/HTML/en/klickety/*.docbook
%doc %_docdir/HTML/en/klickety/*.bz2


#
#
%dir %_docdir/HTML/en/kjumpingcube/
%doc %_docdir/HTML/en/kjumpingcube/common
%doc %_docdir/HTML/en/kjumpingcube/*.docbook
%doc %_docdir/HTML/en/kjumpingcube/*.bz2
#
#
%dir %_docdir/HTML/en/klines/
%doc %_docdir/HTML/en/klines/common
%doc %_docdir/HTML/en/klines/*.docbook
%doc %_docdir/HTML/en/klines/*.bz2
#
#
%dir %_docdir/HTML/en/kmines/
%doc %_docdir/HTML/en/kmines/common
%doc %_docdir/HTML/en/kmines/*.docbook
%doc %_docdir/HTML/en/kmines/*.png
%doc %_docdir/HTML/en/kmines/*.bz2
#
#
%dir %_docdir/HTML/en/konquest/
%doc %_docdir/HTML/en/konquest/common
%doc %_docdir/HTML/en/konquest/*.docbook
%doc %_docdir/HTML/en/konquest/*.bz2
#
#
%dir %_docdir/HTML/en/kpat/
%doc %_docdir/HTML/en/kpat/common
%doc %_docdir/HTML/en/kpat/*.docbook
%doc %_docdir/HTML/en/kpat/*.png
%doc %_docdir/HTML/en/kpat/*.bz2
#
#
%dir %_docdir/HTML/en/kpoker/
%_docdir/HTML/en/kpoker/common
%_docdir/HTML/en/kpoker/*.docbook
%_docdir/HTML/en/kpoker/*.png
%_docdir/HTML/en/kpoker/*.bz2
#
#
%dir %_docdir/HTML/en/kreversi/
%doc %_docdir/HTML/en/kreversi/common
%doc %_docdir/HTML/en/kreversi/*.docbook
%doc %_docdir/HTML/en/kreversi/*.png
%doc %_docdir/HTML/en/kreversi/*.bz2
#
#
%dir %_docdir/HTML/en/ksame/
%doc %_docdir/HTML/en/ksame/common
%doc %_docdir/HTML/en/ksame/*.docbook
%doc %_docdir/HTML/en/ksame/*.bz2
#
#
%dir %_docdir/HTML/en/kshisen/
%doc %_docdir/HTML/en/kshisen/common
%doc %_docdir/HTML/en/kshisen/*.docbook
%doc %_docdir/HTML/en/kshisen/*.bz2
%doc %_docdir/HTML/en/kshisen/*.png
%doc %_docdir/HTML/en/kshisen/*.tex
#
#
%dir %_docdir/HTML/en/ksirtet/
%doc %_docdir/HTML/en/ksirtet/common
%doc %_docdir/HTML/en/ksirtet/*.docbook
%doc %_docdir/HTML/en/ksirtet/*.bz2
#
#
%dir %_docdir/HTML/en/ksnake/
%doc %_docdir/HTML/en/ksnake/common
%doc %_docdir/HTML/en/ksnake/*.docbook
%doc %_docdir/HTML/en/ksnake/*.bz2
#
#
%dir %_docdir/HTML/en/ksokoban/
%doc %_docdir/HTML/en/ksokoban/common
%doc %_docdir/HTML/en/ksokoban/*.docbook
%doc %_docdir/HTML/en/ksokoban/*.bz2
#
#
%dir %_docdir/HTML/en/kspaceduel/
%doc %_docdir/HTML/en/kspaceduel/common
%doc %_docdir/HTML/en/kspaceduel/*.docbook
%doc %_docdir/HTML/en/kspaceduel/*.png
%doc %_docdir/HTML/en/kspaceduel/*.bz2
#
#
%dir %_docdir/HTML/en/ktron/
%doc %_docdir/HTML/en/ktron/common
%doc %_docdir/HTML/en/ktron/*.docbook
%doc %_docdir/HTML/en/ktron/*.bz2
#
#
%dir %_docdir/HTML/en/ktuberling/
%doc %_docdir/HTML/en/ktuberling/common
%doc %_docdir/HTML/en/ktuberling/*.docbook
%doc %_docdir/HTML/en/ktuberling/*.png
%doc %_docdir/HTML/en/ktuberling/*.bz2
#
#
%dir %_docdir/HTML/en/kwin4/
%doc %_docdir/HTML/en/kwin4/common
%doc %_docdir/HTML/en/kwin4/*.docbook
%doc %_docdir/HTML/en/kwin4/*.bz2
#
#
%dir %_docdir/HTML/en/lskat/
%doc %_docdir/HTML/en/lskat/common
%doc %_docdir/HTML/en/lskat/*.docbook
%doc %_docdir/HTML/en/lskat/*.bz2
#
%dir %_docdir/HTML/en/atlantik/
%doc %_docdir/HTML/en/atlantik/common
%doc %_docdir/HTML/en/atlantik/*.docbook
%doc %_docdir/HTML/en/atlantik/*.bz2

%dir %_docdir/HTML/en/kolf/
%doc %_docdir/HTML/en/kolf/common
%doc %_docdir/HTML/en/kolf/*.docbook
%doc %_docdir/HTML/en/kolf/*.bz2


%dir %_docdir/HTML/en/kgoldrunner/
%doc %_docdir/HTML/en/kgoldrunner/common
%doc %_docdir/HTML/en/kgoldrunner/*.docbook
%doc %_docdir/HTML/en/kgoldrunner/*.bz2
%doc %_docdir/HTML/en/kgoldrunner/*.png




%_menudir/*
#
#
%_bindir/kbounce
%_bindir/kenolaba
%_bindir/kasteroids
%_bindir/katomic
%_bindir/kbackgammon
%_bindir/kbattleship
%_bindir/kblackbox
%_bindir/kfouleggs
%_bindir/kjumpingcube
%_bindir/klines
%_bindir/kmahjongg
%_bindir/kmines
%_bindir/konquest
%_bindir/kpat
%_bindir/kpoker
%_bindir/kwin4proc
%_bindir/kreversi
%_bindir/ksame
%_bindir/kshisen
%_bindir/ksirtet
%_bindir/ksmiletris
%_bindir/ksnake
%_bindir/ksokoban
%_bindir/kspaceduel
%_bindir/ktron
%_bindir/ktuberling
%_bindir/kwin4
%_bindir/lskat
%_bindir/lskatproc
%_bindir/atlantik
%_bindir/klickety
%_bindir/kolf
%_bindir/kgoldrunner

#

#
#
#
#
%dir %_datadir/applications/kde/
%_datadir/applications/kde/*.desktop


#
%dir %_datadir/apps/
%dir %_datadir/apps/carddecks/
%dir %_datadir/apps/carddecks/cards-aisleriot/
%_datadir/apps/carddecks/cards-aisleriot/COPYRIGHT
%_datadir/apps/carddecks/cards-aisleriot/*.desktop
%_datadir/apps/carddecks/cards-aisleriot/*.png
#
%dir %_datadir/apps/carddecks/cards-default/
%_datadir/apps/carddecks/cards-default/*.desktop
%_datadir/apps/carddecks/cards-default/*.png
#
%dir %_datadir/apps/carddecks/cards-dondorf-whist-b/
%_datadir/apps/carddecks/cards-dondorf-whist-b/COPYRIGHT
%_datadir/apps/carddecks/cards-dondorf-whist-b/*.desktop
%_datadir/apps/carddecks/cards-dondorf-whist-b/*.png
#
%dir %_datadir/apps/carddecks/cards-gdkcard-bonded/
%_datadir/apps/carddecks/cards-gdkcard-bonded/COPYRIGHT
%_datadir/apps/carddecks/cards-gdkcard-bonded/*.desktop
%_datadir/apps/carddecks/cards-gdkcard-bonded/*.png
#
%dir %_datadir/apps/carddecks/cards-hard-a-port/
%_datadir/apps/carddecks/cards-hard-a-port/COPYRIGHT
%_datadir/apps/carddecks/cards-hard-a-port/*.desktop
%_datadir/apps/carddecks/cards-hard-a-port/*.png
#
%dir %_datadir/apps/carddecks/cards-konqi-modern/
%_datadir/apps/carddecks/cards-konqi-modern/*.desktop
%_datadir/apps/carddecks/cards-konqi-modern/*.png
#
%dir %_datadir/apps/carddecks/cards-penguins/
%_datadir/apps/carddecks/cards-penguins/COPYRIGHT
%_datadir/apps/carddecks/cards-penguins/*.desktop
%_datadir/apps/carddecks/cards-penguins/*.png
#
%dir %_datadir/apps/carddecks/cards-spaced/
%_datadir/apps/carddecks/cards-spaced/COPYRIGHT
%_datadir/apps/carddecks/cards-spaced/*.desktop
%_datadir/apps/carddecks/cards-spaced/*.png

%dir %_datadir/apps/carddecks/cards-warwick/
%_datadir/apps/carddecks/cards-warwick/*.desktop
%_datadir/apps/carddecks/cards-warwick/*.png
#
%dir %_datadir/apps/carddecks/cards-xskat-french/
%_datadir/apps/carddecks/cards-xskat-french/COPYRIGHT
%_datadir/apps/carddecks/cards-xskat-french/*.desktop
%_datadir/apps/carddecks/cards-xskat-french/*.png
#
%dir %_datadir/apps/carddecks/decks/
%_datadir/apps/carddecks/decks/*.desktop
%_datadir/apps/carddecks/decks/*.png
#
#
%dir %_datadir/apps/kenolaba/
%_datadir/apps/kenolaba/*.rc
%dir %_datadir/apps/kenolaba/toolbar/
%_datadir/apps/kenolaba/toolbar/*.xpm
#
%dir %_datadir/apps/kbounce/
%_datadir/apps/kbounce/*.rc
%dir %_datadir/apps/kbounce/pics/
%_datadir/apps/kbounce/pics/*.png
%dir %_datadir/apps/kbounce/sounds/
%_datadir/apps/kbounce/sounds/*.au
#
%dir %_datadir/apps/kasteroids/
%_datadir/apps/kasteroids/*.rc
#
%dir %_datadir/apps/kasteroids/sounds/
%_datadir/apps/kasteroids/sounds/*.wav
#
%dir %_datadir/apps/kasteroids/sprites/
%_datadir/apps/kasteroids/sprites/*.png
#
%dir %_datadir/apps/kasteroids/sprites/bits/
%_datadir/apps/kasteroids/sprites/bits/*.png
#
%dir %_datadir/apps/kasteroids/sprites/exhaust/
%_datadir/apps/kasteroids/sprites/exhaust/*.png
#
%dir %_datadir/apps/kasteroids/sprites/missile/
%_datadir/apps/kasteroids/sprites/missile/*.png
#
%dir %_datadir/apps/kasteroids/sprites/powerups/
%_datadir/apps/kasteroids/sprites/powerups/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock1/
%_datadir/apps/kasteroids/sprites/rock1/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock2/
%_datadir/apps/kasteroids/sprites/rock2/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock3/
%_datadir/apps/kasteroids/sprites/rock3/*.png
#
%dir %_datadir/apps/kasteroids/sprites/shield/
%_datadir/apps/kasteroids/sprites/shield/*.png
#
%dir %_datadir/apps/kasteroids/sprites/ship/
%_datadir/apps/kasteroids/sprites/ship/*.png
#
#
%dir %_datadir/apps/katomic/
%_datadir/apps/katomic/*.rc
#
%dir %_datadir/apps/katomic/levels/
%_datadir/apps/katomic/levels/level_*
#
%dir %_datadir/apps/katomic/pics/
%_datadir/apps/katomic/pics/*.png
#
#
%dir %_datadir/apps/kbackgammon/
%_datadir/apps/kbackgammon/*rc
#
%dir %_datadir/apps/kbackgammon/pics/
%_datadir/apps/kbackgammon/pics/*.png
%_datadir/apps/kbackgammon/pics/*.xpm
#
%dir %_datadir/apps/kbackgammon/sounds/
%_datadir/apps/kbackgammon/sounds/*.wav
#
#
%dir %_datadir/apps/kbattleship/
%_datadir/apps/kbattleship/*.rc
%_datadir/apps/kbattleship/eventsrc
#
%dir %_datadir/apps/kbattleship/pictures/
%_datadir/apps/kbattleship/pictures/*.png
#
%dir %_datadir/apps/kbattleship/sounds/
%_datadir/apps/kbattleship/sounds/*.mp3
#
#
%dir %_datadir/apps/kblackbox/
%_datadir/apps/kblackbox/*.rc
#
%dir %_datadir/apps/kblackbox/pics/
%_datadir/apps/kblackbox/pics/*.xpm
#
#
%dir %_datadir/apps/kdegames/
%dir %_datadir/apps/kdegames/pics/
%_datadir/apps/kdegames/pics/*.png
#
#
%dir %_datadir/apps/kfouleggs/
%_datadir/apps/kfouleggs/*.rc
%_datadir/apps/kfouleggs/eventsrc
#
#
%dir %_datadir/apps/kjumpingcube/
%_datadir/apps/kjumpingcube/*.rc
#
#
%dir %_datadir/apps/klines/
%_datadir/apps/klines/*.jpg
%_datadir/apps/klines/*.rc
#
#
%dir %_datadir/apps/kmahjongg/
%_datadir/apps/kmahjongg/*.rc
%dir %_datadir/apps/kmahjongg/pics/
%_datadir/apps/kmahjongg/pics/*.bgnd
%_datadir/apps/kmahjongg/pics/*.layout
%_datadir/apps/kmahjongg/pics/*.png
%_datadir/apps/kmahjongg/pics/*.theme
%_datadir/apps/kmahjongg/pics/*.tileset
#
%dir %_datadir/apps/kmahjongg/toolbar/
%_datadir/apps/kmahjongg/toolbar/*.xpm
#
#
%dir %_datadir/apps/kmines/
%_datadir/apps/kmines/*.rc
%_datadir/apps/kmines/eventsrc
#
#
%dir %_datadir/apps/konquest/
%_datadir/apps/konquest/*.rc
%dir %_datadir/apps/konquest/pics/
%_datadir/apps/konquest/pics/*.png
%_datadir/apps/konquest/pics/*.xpm
#
#
%dir %_datadir/apps/kpat/
%_datadir/apps/kpat/*.rc
#
#
%dir %_datadir/apps/kpoker/
%_datadir/apps/kpoker/*.rc
#
%dir %_datadir/apps/kpoker/sounds/
%_datadir/apps/kpoker/sounds/*.wav
#
#
%dir %_datadir/apps/kreversi/
%dir %_datadir/apps/kreversi/pics/
%_datadir/apps/kreversi/pics/*.png
%_datadir/apps/kreversi/kreversiui.rc


#
%dir %_datadir/apps/kreversi/pics/background/
%_datadir/apps/kreversi/pics/background/*.png
#
%dir %_datadir/apps/kreversi/sounds/
%_datadir/apps/kreversi/sounds/*.wav
#
#
%dir %_datadir/apps/ksame/
%_datadir/apps/ksame/eventsrc
%_datadir/apps/ksame/*.png
%_datadir/apps/ksame/*.rc
#
#
%dir %_datadir/apps/kshisen/
%_datadir/apps/kshisen/*.rc
%_datadir/apps/kshisen/*.xpm
%_datadir/apps/kshisen/*.png
#
#
%dir %_datadir/apps/ksirtet/
%_datadir/apps/ksirtet/*.rc
%_datadir/apps/ksirtet/eventsrc
#
%_iconsdir/crystalsvg/128x128/apps/*.png
%_iconsdir/crystalsvg/64x64/apps/*.png

#
%dir %_datadir/apps/ksmiletris/
%_datadir/apps/ksmiletris/*.rc
%dir %_datadir/apps/ksmiletris/data/
%_datadir/apps/ksmiletris/data/*.bmp
#
%dir %_datadir/apps/ksmiletris/sounds/
%_datadir/apps/ksmiletris/sounds/*.wav
#
#
%dir %_datadir/apps/ksnake/
%_datadir/apps/ksnake/highScores
%_datadir/apps/ksnake/*.rc
#
%dir %_datadir/apps/ksnake/backgrounds/
%_datadir/apps/ksnake/backgrounds/*.png
#
%dir %_datadir/apps/ksnake/levels/
%_datadir/apps/ksnake/levels/room*
#
%dir %_datadir/apps/ksnake/pics/
%_datadir/apps/ksnake/pics/*.png
#
#
%dir %_datadir/apps/kspaceduel/
%_datadir/apps/kspaceduel/*.rc
#
%dir %_datadir/apps/kspaceduel/icons/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/16x16/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/16x16/actions/
%_datadir/apps/kspaceduel/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/22x22/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/22x22/actions/
%_datadir/apps/kspaceduel/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/32x32/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/32x32/actions/
%_datadir/apps/kspaceduel/icons/crystalsvg/32x32/actions/*.png
%dir %_datadir/apps/kspaceduel/icons/locolor/
%dir %_datadir/apps/kspaceduel/icons/locolor/16x16/
%dir %_datadir/apps/kspaceduel/icons/locolor/16x16/actions/
%_datadir/apps/kspaceduel/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kspaceduel/sprites/
%_datadir/apps/kspaceduel/sprites/*.png
#
%dir %_datadir/apps/kspaceduel/sprites/explosion/
%_datadir/apps/kspaceduel/sprites/explosion/*.pbm
%_datadir/apps/kspaceduel/sprites/explosion/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/playerinfo/
%_datadir/apps/kspaceduel/sprites/playerinfo/*.pnm
#
%dir %_datadir/apps/kspaceduel/sprites/powerups/
%_datadir/apps/kspaceduel/sprites/powerups/*.pbm
%_datadir/apps/kspaceduel/sprites/powerups/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/ship1/
%_datadir/apps/kspaceduel/sprites/ship1/*.pbm
%_datadir/apps/kspaceduel/sprites/ship1/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/ship2/
%_datadir/apps/kspaceduel/sprites/ship2/*.pbm
%_datadir/apps/kspaceduel/sprites/ship2/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/sun/
%_datadir/apps/kspaceduel/sprites/sun/*.pbm
%_datadir/apps/kspaceduel/sprites/sun/*.ppm
#
#
%dir %_datadir/apps/ktron/
%_datadir/apps/ktron/*.rc
#
#
%dir %_datadir/apps/ktuberling/
%_datadir/apps/ktuberling/ktuberlingui.rc
#
%dir %_datadir/apps/ktuberling/museum/
%_datadir/apps/ktuberling/museum/*.tuberling
#
%dir %_datadir/apps/ktuberling/pics/
%_datadir/apps/ktuberling/pics/*.xml 
%_datadir/apps/ktuberling/pics/*.png
#
%dir %_datadir/apps/ktuberling/sounds/
%dir %_datadir/apps/ktuberling/sounds/en/
%_datadir/apps/ktuberling/sounds/en/*.wav
#
#
%dir %_datadir/apps/kwin4/
%_datadir/apps/kwin4/*.rc
#
%dir %_datadir/apps/kwin4/grafix/
%dir %_datadir/apps/kwin4/grafix/default/
%_datadir/apps/kwin4/grafix/default/*.png
%_datadir/apps/kwin4/grafix/default/*.rc
#
#
%dir %_datadir/apps/lskat/
%_datadir/apps/lskat/*.rc
#
%dir %_datadir/apps/lskat/grafix/
%_datadir/apps/lskat/grafix/*.png
#

%_datadir/apps/kgoldrunner/system/levels/fred
 

%dir %_docdir/HTML/en/kdegames-apidocs/
%doc %_docdir/HTML/en/kdegames-apidocs/common
	  

%dir %_datadir/apps/kgoldrunner/
%_datadir/apps/kgoldrunner/*.rc
%dir %_datadir/apps/kgoldrunner/system/
%_datadir/apps/kgoldrunner/system/*.dat
%dir %_datadir/apps/kgoldrunner/system/levels/
%_datadir/apps/kgoldrunner/system/levels/*.grl

#
%dir %_datadir/apps/atlantik/
%_datadir/apps/atlantik/eventsrc
%_datadir/apps/atlantik/*.rc

%dir %_datadir/apps/atlantik/themes/
%dir %_datadir/apps/atlantik/themes/default/
%dir %_datadir/apps/atlantik/themes/default/tokens/
%_datadir/apps/atlantik/themes/default/tokens/*.png

%dir %_datadir/apps/atlantik/pics/
%_datadir/apps/atlantik/pics/*.png

%dir %_datadir/apps/atlantik/icons/
%dir %_datadir/apps/atlantik/icons/crystalsvg/
%dir %_datadir/apps/atlantik/icons/crystalsvg/16x16/
%dir %_datadir/apps/atlantik/icons/crystalsvg/16x16/actions/
%_datadir/apps/atlantik/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/atlantik/icons/crystalsvg/22x22/
%dir %_datadir/apps/atlantik/icons/crystalsvg/22x22/actions/
%_datadir/apps/atlantik/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/atlantik/icons/crystalsvg/32x32/
%dir %_datadir/apps/atlantik/icons/crystalsvg/32x32/actions/
%_datadir/apps/atlantik/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/atlantik/icons/locolor/
%dir %_datadir/apps/atlantik/icons/locolor/16x16/
%dir %_datadir/apps/atlantik/icons/locolor/16x16/actions/
%_datadir/apps/atlantik/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/klickety/
%_datadir/apps/klickety/*.rc
%_datadir/apps/klickety/eventsrc

%dir %_datadir/apps/kolf/
%_datadir/apps/kolf/intro
%_datadir/apps/kolf/*.rc
%_datadir/apps/kolf/tutorial.*

%dir %_datadir/apps/kolf/courses/
%_datadir/apps/kolf/courses/*

%dir %_datadir/apps/kolf/pics/
%_datadir/apps/kolf/pics/*.png

%dir %_datadir/apps/kolf/sounds/
%_datadir/apps/kolf/sounds/*.wav


%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop

%dir %_datadir/services/
%_datadir/services/*.protocol

%dir %_datadir/config/magic
%_datadir/config/magic/*.magic


#
%_iconsdir/*.xpm
%_iconsdir/*.png
#
%dir %_iconsdir/mini/
%_iconsdir/mini/*.xpm
%_iconsdir/mini/*.png
#
%dir %_iconsdir/large/
%_iconsdir/large/*.xpm
%_iconsdir/large/*.png
#



%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png

%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png

%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/actions/
%_iconsdir/crystalsvg/32x32/actions/*.png

%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png


%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png


%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/libkdegames.la
%_libdir/libatlantic.la
%_libdir/libatlantikclient.la
%_libdir/libatlantikui.la
%_libdir/libkolf.la
%_libdir/libkdeinit_kolf.la
#
#
%_libdir/libkdegames.so.*
%_libdir/libkolf.so.*
%_libdir/libkdeinit_kolf.so
#
%_libdir/libatlantic.so.*
%_libdir/libatlantikclient.so.*
%_libdir/libatlantikui.so.*
#
%_libdir/kde3/kio_atlantik.so
%_libdir/kde3/kolf.so

%_libdir/kde3/kio_atlantik.la
%_libdir/kde3/kolf.la



%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*.h

%dir %_includedir/kgame/
%_includedir/kgame/*.h

%dir %_includedir/atlantic/
%_includedir/atlantic/*.h

%dir %_includedir/atlantik/
%dir %_includedir/atlantik/ui
%_includedir/atlantik/ui/*.h

%dir %_includedir/kolf/
%_includedir/kolf/*.h


%_libdir/libkdegames.so
%_libdir/libkolf.so

#
%_libdir/libatlantic.so
%_libdir/libatlantikclient.so
%_libdir/libatlantikui.so

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/*.kcfg

%dir %_docdir/HTML/en/kdegames-apidocs/
%doc %_docdir/HTML/en/kdegames-apidocs/*.png
%doc %_docdir/HTML/en/kdegames-apidocs/*.css
%doc %_docdir/HTML/en/kdegames-apidocs/*.html
%dir %_docdir/HTML/en/kdegames-apidocs/libkdegames/
%doc %_docdir/HTML/en/kdegames-apidocs/libkdegames/*.tag


%dir %_docdir/HTML/en/kdegames-apidocs/libkdegames/html/
%doc %_docdir/HTML/en/kdegames-apidocs/libkdegames/html/*.html
%doc %_docdir/HTML/en/kdegames-apidocs/libkdegames/html/*.png
%doc %_docdir/HTML/en/kdegames-apidocs/libkdegames/html/*.css
%doc %_docdir/HTML/en/kdegames-apidocs/libkdegames/html/installdox


%changelog
* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Rebuild for new menu translation tabl

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Remove debug

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix remove rpath

* Fri Jul  9 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.2.3-4mdk
- generate doc

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Rebuild with new kdelibs

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Sync with CVS

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- rebuild with debug

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild again qt 3.3.2

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Use %%configure
- Use mdkversion

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix bug #77170

* Fri Mar 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix Group
- Fix epoch

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix katomic bug

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Rebuild with good kdedesktop2mdkmenu.pl

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Fix pb into spec file (distint)

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix for package freeze

* Mon Jan 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95 

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Add use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS 

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Fri Dec 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- Beta 2 from cvs

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-9mdk
- Sync with CVS

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Sync with CVS

* Thu Nov 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Thu Nov 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix provides

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix menu
- Fix compile

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Fix spec file

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to Vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Sync with CVS

* Mon Oct 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Provides

* Mon Oct 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Sync with CVS

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS 

* Thu Oct 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Sync with CVS

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92

* Sat Sep 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Add debug
- Fix menu
- Add support for MDK 9.3

* Wed Sep 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Fix upgrade

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Add patch13: fix ksokoban "- Don't crash on startup" bug #63907

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Fix buildrequires

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Fux build

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Remove libqt3 requires

* Sun Aug 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Update code (fix mem leak into libkdegames)

* Sat Aug 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Update code (Fix bug in katomic)

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix requires

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix requires 

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Update code

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-13mdk
- Libification
- Add patch11 fix compile

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-12mdk
- Rebuild

* Mon Jul 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-11mdk
- Update code

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Fix icons

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- update code

* Tue Jun 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Update code

* Wed Jun 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Add patch10: fix mem leak in kenolaba

* Wed Jun 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Update code

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Add kpat : "allow to change shortcut"

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Add icons for klickety from Texstar <texstar@houston.rr.com> 

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch7: allow to change shortcut in ksame
- Add patch8: allow to change shortcut in klines

* Tue May 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Add patch5: add shortcut/fix mem leak

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Update from kde3.1.1 branch

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Fix spec file

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Sync with kde3.1 branch
- Add buildfor9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Add patch5 : fix from kde3.1-branch
"Backport of fix for Bug #55438.
Fix for endless loop in search: Correctly widen alpha-beta window
when search result doesn't fit in.
Note: This is needed because a false assumption on the used search
algorithm (in fact, another harmless bug, which is fixed in CVS HEAD).
"

* Tue Mar 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Update code : fix "Correct the list of default key bindings."

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code ( fix kbagammon )

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code 

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code fix atlantik

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code fix kpat bug

* Sun Feb 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code ( fix best code dialogbox)

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code ( fix altantik programm )

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code from kde_3_1_branch ( fix altantik bug)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- Rc1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.5mdk
- Fix group
- Fix rpmlint warning

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Fix url

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Remove patch2 - 5 commited in kde_3_1_branch
- Reactivate patch3

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- file menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch5 : fix disable/enable ok button in score dialogbox

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Fix build requires on 8.2

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Patch4 : Fix crash in kwin4 -> network connect dialogbox

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-4mdk
- Fix kfouleggs icon (menu)
- Fix BuildRequires

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch3 : fix mem leak in kwin4

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch2 : fix crash in kpat->"the king" launch demo

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde-3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against gcc-3.2

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add BuildConflicts: automake1.6
- Rebuild against libintl2

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc3.2

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against gcc3.2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Thu May 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix obsoletes/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdegames

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Mon Apr 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Fix spec file 
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.4mdk
- RC2

* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.4mdk
- Fix BuildRequires for 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

